#!/bin/sh
set -efu

pys="$(py3versions -r 2> /dev/null)"
pkg="python-volatile"

mkdir -p "$AUTOPKGTEST_TMP"/"$pkg"
cp -a tests "$AUTOPKGTEST_TMP"/"$pkg"
cd "$AUTOPKGTEST_TMP"/"$pkg"

export PYTHONPATH="$AUTOPKGTEST_TMP"/"$pkg"

for py in $pys; do
       echo "=== $py ==="
       $py -m pytest tests 2>&1
done
